Transaction Result Inquiry API
Call this API after a payment (direct debit) or remittance request when the result code indicates "processing" or a response timeout has occurred, to confirm the final success or failure status. If the status remains in processing, repeated calls at regular intervals are required.
API Information
POST/v1/api/pay/morw
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/morw운영
https://npay.settlebank.co.kr/v1/api/pay/morwRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type (RP: direct debit, AR: remittance).
Transaction type (RP: direct debit, AR: remittance).
RP: Direct debit AR: Remittance└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
└mchtTrdDtAN(8)Alphanumeric, up to 8 bytes*Order date of the original transaction.
Order date of the original transaction.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Current inquiry request date.
Current inquiry request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
NOTE
Signature composition
mchtId + mchtTrdNo + mchtTrdDt + reqDt + reqTm + hashKey
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└trdNoAN(40)Alphanumeric, up to 40 bytesHecto Financial transaction reference number.
STFP_FIRM12345678901234567890Hecto Financial transaction reference number.
└bankCdAN(3)Alphanumeric, up to 3 bytesDebit bank code.
011Debit bank code.
└svcDivCdN(1)Numeric, up to 1 bytesService used for the transaction.
1Service used for the transaction.
1: Firm bankingNeed technical support?
Code Samples
HectoFinancial GitHub